#ifndef DROPAREA_H
#define DROPAREA_H

#include <QDragEnterEvent>
#include <QDragLeaveEvent>
#include <QDropEvent>
#include <QImage>
#include <QLabel>
#include <QMimeData>
#include <QWidget>

class DropArea : public QLabel
{
	Q_OBJECT

public:
	enum AnalysisResult
	{
		Analysis_Done		= 0,
		Analysis_Warning	= 1,
		Analysis_Error		= 2
	};

public:
	DropArea(QWidget *parent = 0);
	void setResult(AnalysisResult result, QString message = "");

signals:
	void dropped(QImage image);

protected:
	void dragEnterEvent(QDragEnterEvent *event);
	void dragLeaveEvent(QDragLeaveEvent *event);
	void dropEvent(QDropEvent *event);

private:
	QLabel *label;
};

#endif
