#ifndef	_ENCODING_HPP
#define	_ENCODING_HPP

#include <QImage>
#include <stdint.h>

enum BorderKind
{
	Border_None	= 0,
	Border_Separate	= 1,
	Border_Full	= 2
};

struct Image
{
	int size;
	const uint8_t *data;
};
struct Set
{
	int elements;
	int element_width;
	int element_height;
	int element_size;
	const uint8_t **data;
};
struct Map
{
	int elements;
	int width;
	int height;
	const uint8_t *data;
};

int encode_image(QImage image, struct Image *ml_code, struct Image *variant);

int encode_set(QImage image, int element_width, int element_height,
	enum BorderKind border, struct Set *ml_code, struct Set *variant);

int encode_map(QImage image, struct Set *set, struct Map *map);

#endif	// _ENCODING_HPP
