/*
	Header inclusions.
*/

#include <QApplication>
#include <QFile>
#include "MainWindow.hpp"



/*
	main()

	Main function. Manages the window and the application.

	@arg	argc	Number of command-line arguments.
	@arg	argv	NULL-terminated array of command-line arguments.

	@return		QApplication::exec() return value.
*/

int main(int argc, char **argv)
{
	QApplication app(argc, argv);
	MainWindow window;

	QFile fp("fxSpriter.style");
	if(fp.open(QFile::ReadOnly))
	{
		app.setStyleSheet(fp.readAll());
		fp.close();
	}

	window.show();
	return app.exec();
}
